Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Darstellung-Problem

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Darstellung-Problem (685 mal gelesen)
Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 11. Mrz. 2013 15:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wenn ich die folgende für viele Punte benutze, die hintereinander gezeichnet werden, ist die Darstellung so wie ich sie haben möchte.
Das Problem ist diese Zeile:
(command "_redraw")
Sie bremst den Ablauf.
Wenn ich die Zeile entferne, werden die Punkte erst dargestellt, wenn sie alle gezeichnet sind.
Sie sollen aber nacheinander - ohne Bremse - dargestellt werden.
Wie schnell, möchte ich mit dem _delay Befehl bestimmen.

Kennt jamand eine Variable mit der man die Bildschirmdarstellung so einstellen kann, damit die Punkte nacheinander dargestellt werden?

;;------------------- Punkt zeichnen --------------------
(defun CREATE_POINT (PKT COL /)

(entmake (list '(0 . "POINT")
                '(100 . "AcDbEntity")
                '(100 . "AcDbPoint")
                '(67 . 0)
                (cons 10 PKT)
                (cons 8 "L0815")
                (cons 62 COL)
                '(210 0.0 0.0 1.0)
                '(50 . 0.0)
          )
)
(command "_redraw")
)
;; ----------------------------------

Gruß
Theodor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 11. Mrz. 2013 16:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Theodor Schoenwald 10 Unities + Antwort hilfreich

Vielleicht so?

(defun CREATE_POINT (PKT COL /)

(entmake (list '(0 . "POINT")
                '(100 . "AcDbEntity")
                '(100 . "AcDbPoint")
                '(67 . 0)
                (cons 10 PKT)
                (cons 8 "L0815")
                (cons 62 COL)
                '(210 0.0 0.0 1.0)
                '(50 . 0.0)
          )
)

;;;(command "_redraw")
)
(setq pt '(10.0 10. 0.0))
(repeat 50
  (CREATE_POINT pt 3)
  (command"_delay" 500)
  (redraw (entlast)1)
  (setq pt(mapcar '+ '(0.5 0.5 0.0)pt))
  )

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 11. Mrz. 2013 20:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Deinen Vorschlag habe ich auch schon getestet.
Wenn ich,
Wenn ich den redraw-Befehl nicht in der Funktion
(defun CREATE_POINT (PKT COL /)
schreibe, werden die Punkte auch nicht hintereinander dargestellt, sondern am Schluss auf einmal.

Wenn (defun CREATE_POINT (PKT COL /)(command "_redraw") durch (redraw (entlast)1)
ersetze, wird nichts schneller oder langsamer. Die Punkte kommen schön der Reihe nach, aber viel zu langsam.
Ungefähr Faktor 20 langsamer gegenüber ACAD.

Die Warten-Funktion sieht so aus:

(defun WARTEN (M_SECS /)
(command "_delay" (fix M_SECS))
)
Da ist auch nichts anders als in Deiner Code-Zeile:
(command"_delay" 500)

Manche gehen über das Datum zum Warten, auch schon probiert, es hat sich nichts verbessert.

Das komische ist, in ACAD läuft alles einwandfrei.
Haben die beiden Programme andere Milli-Sekunden.
Ich hätte die ganze Funktion schon am Anfang gelistet, aber da ist viel in Hilfsdateien.

Danke für Deine Antwort, auch wenn die Funktion noch nicht so will, wie sie soll.

Gruß
Theodor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 11. Mrz. 2013 23:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

so ist der Unterschied zwischen Bricscad und ACAD nicht mehr so groß:

;;------------Warten -----------
(defun WARTEN (SECS / STOP)

(setq STOP (+ (getvar "DATE") (/ SECS 86400.0)))
(while (> STOP (getvar "DATE")) (princ))
)

Gruß
ZTheodor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz